Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043324
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-25 12:522020-03-06 12:14
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision1cde459b3d26
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043324: Apply new HQL Style in ReportValuationStock.java

DescriptionReportValuationStock.java has three HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118107)
inigo_lerga (developer)
2020-02-26 09:39

--Test Plan Mantis HQL queries--
As the F&B International Group Admin role:
  - Go to the Valued Stock Report window. Select the
    Organization "F&B España - Región Norte" and
    press the HTML Format button.
    
    #In this moment the modified HQLs are executed#
(0118364)
hgbot (developer)
2020-03-06 12:13

Repository: erp/devel/pi
Changeset: 1cde459b3d26eff7b73c7404261ea8719f8a8e80
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Feb 26 09:40:47 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1cde459b3d26eff7b73c7404261ea8719f8a8e80 [^]

fixes BUG-43324:Applied new HQL Style

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
---
(0118365)
hgbot (developer)
2020-03-06 12:13

Repository: erp/devel/pi
Changeset: 039388524b254c8f52b34d2f8e8e16871ef4bd40
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 06 12:06:01 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/039388524b254c8f52b34d2f8e8e16871ef4bd40 [^]

Related to ISSUE-43324. Renamed variables

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
---
(0118366)
dmiguelez (developer)
2020-03-06 12:14

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-02-25 12:52 inigo_lerga New Issue
2020-02-25 12:52 inigo_lerga Assigned To => inigo_lerga
2020-02-25 12:52 inigo_lerga Modules => Core
2020-02-25 12:52 inigo_lerga Triggers an Emergency Pack => No
2020-02-25 12:52 inigo_lerga Relationship added related to 0041287
2020-02-25 12:53 inigo_lerga Status new => scheduled
2020-02-26 09:39 inigo_lerga Note Added: 0118107
2020-03-06 12:13 hgbot Checkin
2020-03-06 12:13 hgbot Note Added: 0118364
2020-03-06 12:13 hgbot Status scheduled => resolved
2020-03-06 12:13 hgbot Resolution open => fixed
2020-03-06 12:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1cde459b3d26eff7b73c7404261ea8719f8a8e80 [^]
2020-03-06 12:13 hgbot Checkin
2020-03-06 12:13 hgbot Note Added: 0118365
2020-03-06 12:14 dmiguelez Review Assigned To => dmiguelez
2020-03-06 12:14 dmiguelez Note Added: 0118366
2020-03-06 12:14 dmiguelez Status resolved => closed
2020-03-06 12:14 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker